## checkinstall 1.6.1

=== Makefile ===
# $Id: Makefile,v 1.6.1.3 2006/11/01 07:45:28 izto Exp $

# Where to install.
PREFIX=/usr/local
BINDIR=$(PREFIX)/sbin
LCDIR=$(PREFIX)/lib/checkinstall/locale
CONFDIR=$(PREFIX)/lib/checkinstall

all:
	for file in locale/checkinstall-*.po ; do \
		case $${file} in \
			locale/checkinstall-template.po)  ;; \
			*) \
				out=`echo $$file | sed -s 's/po/mo/'` ; \
				msgfmt -o $${out} $${file} ; \
				if [ $$? != 0 ] ; then \
					exit 1 ; \
				fi ; \
			;; \
		esac ; \
	done	
	make -C installwatch-0.7.0beta5
	
install: all
	export
	make -C installwatch-0.7.0beta5 install
	
	mkdir -p $(BINDIR)
	install checkinstall makepak $(BINDIR)
	for file in locale/*.mo ; do \
		LANG=`echo $$file | sed -e 's|locale/checkinstall-||' \
			-e 's|\.mo||'` && \
		mkdir -p $(LCDIR)/$${LANG}/LC_MESSAGES && \
		cp $$file $(LCDIR)/$${LANG}/LC_MESSAGES/checkinstall.mo || \
		exit 1 ; \
	done
	
	mkdir -p $(CONFDIR)
	install -m644  checkinstallrc-dist $(CONFDIR)
	if ! [ -f $(CONFDIR)/checkinstallrc ]; then \
		cp $(CONFDIR)/checkinstallrc-dist $(CONFDIR)/checkinstallrc; \
	else \
		echo; \
		echo; \
		echo ======================================================== ;\
		echo; \
		echo An existing checkinstallrc file has been found. ;\
		echo The one from this distribution can be found at: ; \
		echo; \
		echo -e \\t$(CONFDIR)/checkinstallrc-dist ; \
		echo; \
		echo; \
		echo ======================================================== ;\
		echo; \
	fi
	
clean:
	for file in locale/checkinstall-*.mo ; do \
		rm -f $${file} ; \
	done
	make -C installwatch-0.7.0beta5 clean

=== installwatch-0.7.0beta5/Makefile ===
# Makefile for installwatch
# $Id: Makefile,v 0.7.0.5 2006/11/01 06:39:28 izto Exp $

# Well, the only configurable part is the following variable.
# Make sure the directory you specify exists.

PREFIX=/usr/local

# End of configurable part

VERSION=0.7.0beta5

BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib

all: installwatch.so

installwatch.so: installwatch.o
	ld -shared -o installwatch.so installwatch.o -ldl -lc

installwatch.o: installwatch.c localdecls.h
	gcc -Wall -c -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -DVERSION=\"$(VERSION)\" installwatch.c

localdecls.h:
	./create-localdecls

install: all
	mkdir -p $(LIBDIR)
	mkdir -p $(BINDIR)
	if [ -r $(LIBDIR)/installwatch.so ]; then \
		rm -f  $(LIBDIR)/installwatch.so; \
	fi
	install -s installwatch.so $(LIBDIR)
	
	sed -e "s|#PREFIX#|$(PREFIX)|" < installwatch > $(BINDIR)/installwatch
	chmod 755 $(BINDIR)/installwatch

uninstall:
	rm -f $(LIBDIR)/installwatch.so
	rm -f $(BINDIR)/installwatch
	
clean:
	rm -f *~ *.bak *.o installwatch.so core localdecls.h libctest test-installwatch

tarball: clean
	tar -czvC .. -f ../installwatch-$(VERSION).tar.gz installwatch-$(VERSION)

test: install
	gcc -Wall -DVERSION=\"$(VERSION)\" -o test-installwatch test-installwatch.c -ldl
	$(PREFIX)/bin/installwatch ./test-installwatch

## checkinstall 1.6.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.6.1.3 2006/11/01 07:45:28 izto Exp $
+# $Id: Makefile,v 1.6.2.1 2008/11/09 07:48:18 izto Exp $
 
 # Where to install.
 PREFIX=/usr/local
@@ -19,11 +19,11 @@
 			;; \
 		esac ; \
 	done	
-	make -C installwatch-0.7.0beta5
+	$(MAKE) -C installwatch
 	
 install: all
 	export
-	make -C installwatch-0.7.0beta5 install
+	$(MAKE) -C installwatch install
 	
 	mkdir -p $(BINDIR)
 	install checkinstall makepak $(BINDIR)
@@ -58,4 +58,4 @@
 	for file in locale/checkinstall-*.mo ; do \
 		rm -f $${file} ; \
 	done
-	make -C installwatch-0.7.0beta5 clean
+	$(MAKE) -C installwatch clean

=== installwatch/Makefile ===
# Makefile for installwatch
# $Id: Makefile,v 0.7.0.6 2008/11/09 07:49:34 izto Exp $

# Well, the only configurable part is the following variable.
# Make sure the directory you specify exists.

PREFIX=/usr/local

# End of configurable part

VERSION=0.7.0beta7

BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib

all: installwatch.so

installwatch.so: installwatch.o
	ld -shared -o installwatch.so installwatch.o -ldl -lc

installwatch.o: installwatch.c localdecls.h
	gcc -Wall -c -D_GNU_SOURCE -DPIC -fPIC -D_REENTRANT -DVERSION=\"$(VERSION)\" installwatch.c

localdecls.h: create-localdecls
	./create-localdecls

install: all
	mkdir -p $(LIBDIR)
	mkdir -p $(BINDIR)
	if [ -r $(LIBDIR)/installwatch.so ]; then \
		rm -f  $(LIBDIR)/installwatch.so; \
	fi
	install installwatch.so $(LIBDIR)
	
	sed -e "s|#PREFIX#|$(PREFIX)|" < installwatch > $(BINDIR)/installwatch
	chmod 755 $(BINDIR)/installwatch

uninstall:
	rm -f $(LIBDIR)/installwatch.so
	rm -f $(BINDIR)/installwatch
	
clean:
	rm -f *~ *.bak *.o installwatch.so core localdecls.h libctest test-installwatch

tarball: clean
	tar -czvC .. -f ../installwatch-$(VERSION).tar.gz installwatch-$(VERSION)

test: install
	gcc -Wall -DVERSION=\"$(VERSION)\" -o test-installwatch test-installwatch.c -ldl
	$(PREFIX)/bin/installwatch ./test-installwatch

=== debian/changelog ===
checkinstall (1.6.2-4ubuntu2) zesty; urgency=medium

  * 0012-fix-conffiles.patch: Fix bad pipe/redirect combo
    to enable conffiles generation (LP: #1304760)

 -- Brian Morton <rokclimb15@gmail.com>  Tue, 13 Dec 2016 21:07:00 -0500

checkinstall (1.6.2-4ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/0002-Change-default-configuration.patch: Disable file
      system translation by default.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 12 Mar 2013 15:11:09 -0400

checkinstall (1.6.2-4) unstable; urgency=low

  [ Andreas Noteng ]
  * Fix wrong license name in debian/copyright (s/GPL2/GPL2+/)

  [ Timo Juhani Lindfors ]
  * Add patch 0011-fix-crash-when-sizeof-mode_t-sizeof-int.patch
    (closes: #702314)

 -- Andreas Noteng <andreas@noteng.no>  Fri, 08 Mar 2013 09:40:43 +0100

checkinstall (1.6.2-3ubuntu1) precise; urgency=low

  * Sync from Debian (LP: #975140)
  * 0002-Change-default-configuration.patch: Disable file system translation by
    default (LP: #78455)
  * debian/copyright: fixed GPL-2+ licence name

 -- Andreas Noteng <andreas@noteng.no>  Fri, 06 Apr 2012 15:16:05 +0200

checkinstall (1.6.2-3) unstable; urgency=low

  * Don't include empty control fields (closes: #666262)
  * Update Standards-Version
    - Update debian/copyright to version 1.0
  * Don't include directories in conffiles (closes: #655453)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 01 Apr 2012 18:22:33 +0200

checkinstall (1.6.2-2) unstable; urgency=low

  [ Andreas Noteng ]
  * New maintainer (closes: #608238)
  * Fix broken watch file
  * Change to machine readable copyright file
  * Update Standards-Version (no change).
  * Remove Breaks: and Replaces: installwatch (package no longer in Debian)
  * Fix wrong installwatch copyright information

  [ Felipe Sateler ]
  * Set file permissions to o=g instead of 644 when --reset-uids is passed

 -- Felipe Sateler <fsateler@debian.org>  Wed, 09 Feb 2011 15:51:28 -0300

checkinstall (1.6.2-1) unstable; urgency=low

  * New upstream release. Closes: #570510
    - Update patches for new upstream release
  * Manage patches with gpb-pq
  * Update Standards-Version (no changes needed)
  * Switch to source format 3.0 (quilt)
    - Drop quilt usage
  * Drop unnecessary dh_clean override
  * Use multiline Build-Depends
  * Re-enable filesystem translation by default, it was fixed upstream.
      Closes: #510681, #490633, #478312

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 15 Apr 2010 16:21:45 -0400

checkinstall (1.6.1-10) unstable; urgency=low

  * Fix build failure with glibc 2.10. Thanks Joao Pinto.
     Closes: #552860
  * Remove backtick from HEREDOC. Closes: #556725

 -- Felipe Sateler <fsateler@gmail.com>  Tue, 17 Nov 2009 14:52:24 -0300

checkinstall (1.6.1-9) unstable; urgency=low

  * Move to debhelper 7
  * Add misc:Depends to the Depends line
  * Remove dependency on findutils
  * Remove dependency on libc headers
  * Use correct quilt version
  * Update the checkinstall homepage
  * Allow overriding architecture in Debian. Closes: #501027
  * Document use of quilt in patch management
  * Update standards version (no changes needed)

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 24 Sep 2009 14:33:05 -0400

checkinstall (1.6.1-8) unstable; urgency=low

  * Recommend make since it's the most used install tool. (Closes: #487964).
  * Use quilt for managing patches to upstream sources.
  * Allow Requires to be used in Debian. (Closes: #469639)
  * Turn off system translation by default, since it is currently broken.
  * Update the Vcs-* tags since we moved to Git.

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 24 Jul 2008 14:34:06 -0400

checkinstall (1.6.1-7) unstable; urgency=high

  * Use mktemp instead of awk magic to create temporary directories.
    The original implementation had a race condition that allowed for a
    symlink attack. This is security related, so set urgency to high.

 -- Felipe Sateler <fsateler@gmail.com>  Wed, 25 Jun 2008 23:58:05 -0400

checkinstall (1.6.1-6) unstable; urgency=low

  * Use the new Vcs-* fields.
  * Do not ship empty directories.
  * Use $(MAKE) instead of make in the makefile
  * Support Provides: field in debian.
  * Depend on dpkg-dev, since we use dpkg-architecture
    (Closes: #484828)
  * Move url to the Homepage field.
  * Convert debian/copyright to UTF-8.
  * Bump standards version to 3.8.0 (no changes needed).

 -- Felipe Sateler <fsateler@gmail.com>  Thu, 12 Jun 2008 08:57:53 -0400

checkinstall (1.6.1-5) unstable; urgency=low

  * Fix typo: striping -> stripping.
  	(Closes: #447776)
  * Fix FTBFS on kfreebsd-amd64.
  	(Closes: #451111)
  * Move manpage to section 8 and note that checkinstall must be run as root.
  	(Closes: #448533)

 -- Felipe Sateler <fsateler@gmail.com>  Tue, 13 Nov 2007 10:29:15 -0300

checkinstall (1.6.1-4) unstable; urgency=low

  * Fix access() filtering in checkinstall.
  	(Closes: #404542)
  * Fix backup cleaning that may delete stuff we don't want to.
  * Remove spurious quotes which may behave badly under some conditions.
  * Find files created under /home and ask for exclusion.
  * Don't strip installwatch.so in upstream's Makefile
  	(Closes: #436621)

 -- Felipe Sateler <fsateler@gmail.com>  Fri, 10 Aug 2007 20:56:47 -0400

checkinstall (1.6.1-3) unstable; urgency=low

  * Fix FTBFS in some archs, by fixing the build dependencies.
  	(Closes: #422213)

 -- Felipe Sateler <fsateler@gmail.com>  Fri, 04 May 2007 13:17:01 -0400

checkinstall (1.6.1-2) unstable; urgency=low

  * Avoid shell command reinterpretation.
  	(Closes: #306075)
  * Ease kernel module package creation by detecting depmod calls
    and acting accordingly.
    	(Closes: #373103)
  * Fix FTBFS on GNU/kFreeBSD, patch from Cyril Brulebois.
  	(Closes: #414310)
  * Comment =yes and =no arguments to options in the man page.
  	(Closes: #409340)
  * Check for correct version numbers.
  	(Closes: #175240)
  * Check for correct package names in Debian.


=== debian/control ===
Source: checkinstall
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andreas Noteng <andreas@noteng.no>
Build-Depends: debhelper (>= 7.0.50~),
               docbook-to-man,
               gettext,
               libc0.1-dev (>= 2.10) [kfreebsd-i386 kfreebsd-amd64],
               libc0.3 (>=2.10) [hurd-i386],
               libc6-dev (>=2.10) [i386 amd64 armel hppa mips mipsel powerpc s390 sparc],
               libc6.1-dev (>=2.10) [alpha ia64]
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/collab-maint/checkinstall.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/checkinstall.git;a=summary
Homepage: http://checkinstall.izto.org

Package: checkinstall
Architecture: any
Depends: dpkg-dev, file, ${misc:Depends}, ${shlibs:Depends}
Recommends: make
Suggests: gettext
Description: installation tracker
 CheckInstall keeps track of all the files created or
 modified by your installation script ("make install"
 "make install_modules", "setup", etc), builds a
 standard binary package and installs it in your
 system giving you the ability to uninstall it with your
 distribution's standard package management utilities.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/checkinstall.sgml > debian/checkinstall.8
	docbook-to-man debian/installwatch.sgml > debian/installwatch.1

override_dh_auto_clean:
	$(MAKE) clean
	rm -f debian/checkinstall.8
	rm -f debian/installwatch.1

TMPDIR=$(CURDIR)/debian/tmp
override_dh_auto_install:
	# We override all paths: we want the binary in bin instead of
	# sbin, the configuration file in etc, the locales in the
	# standard directory, and the installwatch library in a subdir
	# of usr/lib
	$(MAKE) install PREFIX=$(TMPDIR)/usr LCDIR=$(TMPDIR)/usr/share/locale \
		CONFDIR=$(TMPDIR)/etc BINDIR=$(TMPDIR)/usr/bin \
		LIBDIR=$(TMPDIR)/usr/lib/checkinstall
	# Delete the checkinstallrc-dist file from etc
	rm -f $(TMPDIR)/etc/checkinstallrc-dist
	
	# installwatch's documentation
	mkdir -p $(TMPDIR)/usr/share/doc/checkinstall
	gzip -9c installwatch/CHANGELOG \
		> $(TMPDIR)/usr/share/doc/checkinstall/installwatch.changelog.gz
	gzip -9c debian/changelog.installwatch.old \
		> $(TMPDIR)/usr/share/doc/checkinstall/installwatch.changelog.Debian.gz
	cp installwatch/BUGS \
		$(TMPDIR)/usr/share/doc/checkinstall/BUGS.installwatch
	cp installwatch/README \
		$(TMPDIR)/usr/share/doc/checkinstall/README.installwatch
	cp installwatch/TODO \
		$(TMPDIR)/usr/share/doc/checkinstall/TODO.installwatch
	
	# Modifications to the programs/config are applied here
	
	# Enable installwatch to find the shared library
	sed -i -e 's|$(TMPDIR)||' $(TMPDIR)/usr/bin/installwatch
	sed -i -e 's|PREFIX/lib|PREFIX/lib/checkinstall|' \
		$(TMPDIR)/usr/bin/installwatch
	
override_dh_installman:
	dh_installman debian/installwatch.1 debian/checkinstall.8

override_dh_install:
	dh_install --sourcedir=$(TMPDIR)

## checkinstall 1.6.2%2Bgit20170426.d24a630

=== debian/watch ===
version=3

https://www.asic-linux.com.mx/~izto/checkinstall/files/source/checkinstall-([\d\.]*)\.tar.gz

## checkinstall 1.6.2+git20170426.d24a630

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 			;; \
 		esac ; \
 	done	
+	sed 's%MAKEFILE_PREFIX%$(PREFIX)%g' checkinstall.in > checkinstall
 	$(MAKE) -C installwatch
 	
 install: all
@@ -26,18 +27,19 @@
 	$(MAKE) -C installwatch install
 	
 	mkdir -p $(BINDIR)
-	install checkinstall makepak $(BINDIR)
+	mkdir -p $(LCDIR)
+	install -m 0755 -o root -g root checkinstall makepak $(BINDIR)
 	for file in locale/*.mo ; do \
-		LANG=`echo $$file | sed -e 's|locale/checkinstall-||' \
+		CKLNG=`echo $$file | sed -e 's|locale/checkinstall-||' \
 			-e 's|\.mo||'` && \
-		mkdir -p $(LCDIR)/$${LANG}/LC_MESSAGES && \
-		cp $$file $(LCDIR)/$${LANG}/LC_MESSAGES/checkinstall.mo || \
+		mkdir -p $(LCDIR)/$${CKLNG}/LC_MESSAGES && \
+		cp $$file $(LCDIR)/$${CKLNG}/LC_MESSAGES/checkinstall.mo || \
 		exit 1 ; \
 	done
 	
 	mkdir -p $(CONFDIR)
 	install -m644  checkinstallrc-dist $(CONFDIR)
-	if ! [ -f $(CONFDIR)/checkinstallrc ]; then \
+	@if ! [ -f $(CONFDIR)/checkinstallrc ]; then \
 		cp $(CONFDIR)/checkinstallrc-dist $(CONFDIR)/checkinstallrc; \
 	else \
 		echo; \
@@ -55,7 +57,7 @@
 	fi
 	
 clean:
-	for file in locale/checkinstall-*.mo ; do \
+	for file in locale/checkinstall-*.mo checkinstall ; do \
 		rm -f $${file} ; \
 	done
 	$(MAKE) -C installwatch clean

=== installwatch/Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	rm -f $(BINDIR)/installwatch
 	
 clean:
-	rm -f *~ *.bak *.o installwatch.so core localdecls.h libctest test-installwatch
+	rm -f *~ *.bak *.o installwatch.so core localdecls.h libcfiletest libctest test-installwatch
 
 tarball: clean
 	tar -czvC .. -f ../installwatch-$(VERSION).tar.gz installwatch-$(VERSION)

=== debian/changelog ===
checkinstall (1.6.2+git20170426.d24a630-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089300)
  * Pass `-n` to `gzip` to make compressed files easier to
    reproduce.

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 14:59:22 +0000

checkinstall (1.6.2+git20170426.d24a630-5) unstable; urgency=medium

  [ Stephen Gelman ]
  * Fix HPPA build (Closes: #1055075)
    Thanks John David Anglin for the patch!
  * Fix riscv64 build (Closes: #1055077)
    Thanks Aurelien Jarno for the patch!
  * Fix armhf/armel build post-t64 transition (Closes: #1069436)

  [ Samuel Thibault ]
  * control: Add hurd-amd64 case.

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 11 Sep 2024 00:24:44 -0500

checkinstall (1.6.2+git20170426.d24a630-4) unstable; urgency=medium

  * Add support for Pre-Depends field in package (Thanks
    yjqg6666 <jinking.this@gmail.com>!)
  * Fix bug with "mkdir -p" command. Thanks to Geoffrey Hausheer for the fix!
    (Closes: #717778)
  * Bump standards version to 4.6.2 (no changes)

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 29 Oct 2023 16:30:19 -0500

checkinstall (1.6.2+git20170426.d24a630-3) unstable; urgency=medium

  * Fix building under glibc >= 2.33. Thanks to Lukas Märdian for the fix!
    (Closes: #996478)
  * Bump standards version and dh compat level (no changes necessary)

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 15 Oct 2021 02:09:53 -0500

checkinstall (1.6.2+git20170426.d24a630-2) unstable; urgency=medium

  * Remove embedded build path to make build reproducible (closes: #941715)
    Thanks to Chris Lamb for the fix!

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 04 Oct 2019 16:49:50 -0500

checkinstall (1.6.2+git20170426.d24a630-1) unstable; urgency=medium

  * Project is not making new releases but has fixes in git so pulling those
    in
  * Add support in installwatch for new renameat2 syscall.

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 27 Sep 2019 15:37:59 +0000

checkinstall (1.6.2-6) unstable; urgency=medium

  * Fix adding files to dpkg conffiles (Thanks to Larsen for the fix!)
    (Closes: #781169, #809415)

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 15 Jul 2019 00:06:18 -0500

checkinstall (1.6.2-5) unstable; urgency=medium

  * New maintainer
  * Move VCS to salsa
  * Update to debhelper compat level 12
  * Update to Standards-Version 4.4.0 (no change)
  * Minor lintian fixes
  * Test installcheck when building the package using included tests
  * Fix segfault relating to _xstat64() (Thanks to Giulio Moro for the fix!)
    (Closes: #878487)

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 09 Jul 2019 23:01:02 -0500

=== debian/control ===
Source: checkinstall
Section: admin
Priority: optional
Maintainer: Stephen Gelman <ssgelm@debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-to-man,
               gettext,
               libc0.1-dev (>= 2.10) [kfreebsd-i386 kfreebsd-amd64],
               libc0.3 (>=2.10) [hurd-i386 hurd-amd64],
               libc6-dev (>=2.10) [i386 amd64 armel hppa mips mipsel powerpc s390 sparc],
               libc6.1-dev (>=2.10) [alpha ia64]
Rules-Requires-Root: binary-targets
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/checkinstall.git
Vcs-Browser: https://salsa.debian.org/debian/checkinstall
Homepage: http://checkinstall.izto.org

Package: checkinstall
Architecture: any
Depends: dpkg-dev,
         file,
         sensible-utils,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: make
Suggests: gettext
Description: installation tracker
 CheckInstall keeps track of all the files created or
 modified by your installation script ("make install"
 "make install_modules", "setup", etc), builds a
 standard binary package and installs it in your
 system giving you the ability to uninstall it with your
 distribution's standard package management utilities.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode. 
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
 %:
@@ -16,6 +16,13 @@
 	rm -f debian/checkinstall.8
 	rm -f debian/installwatch.1
 
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+TESTDIR=$(CURDIR)/debian/testtmp
+override_dh_auto_test:
+		$(MAKE) -C installwatch test PREFIX=$(TESTDIR)
+		rm -rf $(TESTDIR)
+endif
+
 TMPDIR=$(CURDIR)/debian/tmp
 override_dh_auto_install:
 	# We override all paths: we want the binary in bin instead of
@@ -27,12 +34,12 @@
 		LIBDIR=$(TMPDIR)/usr/lib/checkinstall
 	# Delete the checkinstallrc-dist file from etc
 	rm -f $(TMPDIR)/etc/checkinstallrc-dist
-	
+
 	# installwatch's documentation
 	mkdir -p $(TMPDIR)/usr/share/doc/checkinstall
-	gzip -9c installwatch/CHANGELOG \
+	gzip -9nc installwatch/CHANGELOG \
 		> $(TMPDIR)/usr/share/doc/checkinstall/installwatch.changelog.gz
-	gzip -9c debian/changelog.installwatch.old \
+	gzip -9nc debian/changelog.installwatch.old \
 		> $(TMPDIR)/usr/share/doc/checkinstall/installwatch.changelog.Debian.gz
 	cp installwatch/BUGS \
 		$(TMPDIR)/usr/share/doc/checkinstall/BUGS.installwatch
@@ -40,17 +47,17 @@
 		$(TMPDIR)/usr/share/doc/checkinstall/README.installwatch
 	cp installwatch/TODO \
 		$(TMPDIR)/usr/share/doc/checkinstall/TODO.installwatch
-	
-	# Modifications to the programs/config are applied here
-	
+
 	# Enable installwatch to find the shared library
 	sed -i -e 's|$(TMPDIR)||' $(TMPDIR)/usr/bin/installwatch
 	sed -i -e 's|PREFIX/lib|PREFIX/lib/checkinstall|' \
 		$(TMPDIR)/usr/bin/installwatch
-	
+
+	# Remove absolute buildpath
+	sed -i -e 's|^INSTALLDIR=.*|INSTALLDIR=/usr|' $(TMPDIR)/usr/bin/checkinstall
+
+	# Remove unwanted makepak binary
+	rm -f $(TMPDIR)/usr/bin/makepak
+
 override_dh_installman:
 	dh_installman debian/installwatch.1 debian/checkinstall.8
-
-override_dh_install:
-	dh_install --sourcedir=$(TMPDIR)
-
